Package Details: social-engineer-toolkit 7.7.8-1

Git Clone URL: https://aur.archlinux.org/social-engineer-toolkit.git (read-only)
Package Base: social-engineer-toolkit
Description: The Social-Engineer Toolkit (SET)
Upstream URL: https://github.com/trustedsec/social-engineer-toolkit
Licenses: custom
Submitter: Shibumi
Maintainer: Shibumi
Last Packager: Shibumi
Votes: 4
Popularity: 0.333415
First Submitted: 2016-11-27 15:26
Last Updated: 2018-06-23 18:02

Latest Comments

Kr1ss commented on 2018-06-21 19:15

I've updated the build files to 7.7.8, which is the current upstream release. Further, I changed the beautifulsoup dependency to "python2-beautifulsoup4", like suggested in the installation instructions. @Shibumi I've pushed the build files to https://gitlab.com/Kr1ss/AUR_SET.git (or: git@gitlab.com:Kr1ss/AUR_SET.git ); feel free to pull and copy them if u like.

chetwisniewski commented on 2018-05-06 19:48

Update SHA512sum to:

07d725dab60a64e866735213d9142b64374f6260037a62a7db6762080eadd2a44ff22f51ba9164891cc52d44db8d4cd325a9c41b08abe3dca1952da0b51dfc69

Chicle commented on 2017-06-17 00:55

Hi, I get this error on install:

:: Comprobando la integridad de python2-pefile...
==> Creando el paquete: python-pefile 2016.3.28-4 (sáb jun 17 00:55:57 WEST 2017)
==> Recibiendo las fuentes...
-> Descargando python-pefile-2016.3.28.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 129 0 129 0 0 199 0 --:--:-- --:--:-- --:--:-- 199
100 45.9M 0 45.9M 0 0 112k 0 --:--:-- 0:06:59 --:--:-- 139k
==> Validando los archivos source con sha512sums...
python-pefile-2016.3.28.tar.gz ... Aprobado
:: Comprobando la integridad de social-engineer-toolkit...
==> Creando el paquete: social-engineer-toolkit 7.6.3-1 (sáb jun 17 01:02:57 WEST 2017)
==> Recibiendo las fuentes...
-> Descargando social-engineer-toolkit-7.6.3.tar.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 141 0 141 0 0 137 0 --:--:-- 0:00:01 --:--:-- 137
100 40.3M 0 40.3M 0 0 99759 0 --:--:-- 0:07:04 --:--:-- 99k
-> setoolkit ha sido encontrado
==> Validando los archivos source con sha512sums...
social-engineer-toolkit-7.6.3.tar.gz ... HA FALLADO
setoolkit ... Aprobado
==> ERROR: ¡Uno o más archivos no superaron el control de validación!
:: fallo al verificar la integridad de social-engineer-toolkit

The error is in spanish. Can be a sha512sums error or what?

Maxattax commented on 2017-05-23 17:47

Please update the SHA512 sum to respect version 7.6.3 of the package (should be 08cc1a568141e0af94eacf9123a7059b318203e09a25e82019d66b1dd54fbde02207fb5b1164c0464f837a26152d7ce79cba4aa7034d743c3af21669a76162cd). It is currently set to the version of 7.6.2 (which is 964329e68fce5271d94dc055aac6ee08f2d469c2960b6d0a377ed014133c5a1004a90b53521828a93aedf15c3fd871fa3ada28fabb463604e5a42931f84bd5f0).

Maxattax commented on 2017-05-03 20:32

...
Compiling ./src/sms/spoofapi.py ...
Listing ./src/teensy ...
Compiling ./src/teensy/__init__.py ...
Compiling ./src/teensy/binary2teensy.py ...
Compiling ./src/teensy/ino_gen.py ...
Compiling ./src/teensy/powershell_shellcode.py ...
File "./src/teensy/powershell_shellcode.py", line 153
print("[*] Payload has been extracted. Copying file to {0}".format(os.path.join(core.setdir + "reports/teensy.ino")))
^
SyntaxError: invalid syntax

Compiling ./src/teensy/sd2teensy.py ...
Compiling ./src/teensy/teensy.py ...
Compiling ./src/teensy/teensy_gen.py ...
Listing ./src/teensy/x10 ...
Listing ./src/templates ...
Listing ./src/webattack ...
...

Error encountered in build() while updating package.